#!/bin/sh
#
# Possible outputs:
#
# PASS
# FAIL
# UNRESOLVED
# UNTESTED
# UNSUPPORTED

function init_test {
	printf "%-70s\n" "$1" >&2
	# wait some time for lockfile cleaning
	sleep 1
}

function check_res {
	case $2 in
	0)
		printf "%-70s PASS\n" "$1" >&2
		;;
	*)
		printf "%-70s FAIL\n" "$1" >&2
		return 1
		;;
	esac
}

function clean_exit {
	rm -f "$1"
	exit $2
}

pelts_root=${PTXDIST_WORKSPACE}/local-host/share/pelts
expect=`which expect`
boardsetup=${PTXDIST_WORKSPACE}/boardsetup/boardsetup
conf_in=${PTXDIST_WORKSPACE}/tests/uboot/uboot_env.conf.in
conf=${PTXDIST_WORKSPACE}/tests/uboot/uboot_env.conf

if [ ! -e $boardsetup ]; then
	echo
	echo "error: couldn't find boardsetup file"
	echo
	exit 1
fi

